JspSelectTag (Grails 3.1.10)
Date: 2016-07-28

Package: org.grails.web.taglib.jsp

## [Java] Class JspSelectTag

- org.grails.web.taglib.jsp.JspSelectTag

- Authors:
    Graeme Rocher
  Since:
    28-Feb-2006

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class JspInvokeGrailsTagLibTag` | `attributes`
    `class javax.servlet.jsp.tagext.BodyTagSupport` | `EVAL_BODY_TAG, EVAL_BODY_BUFFERED, EVAL_BODY_AGAIN, SKIP_BODY, EVAL_BODY_INCLUDE, SKIP_PAGE, EVAL_PAGE`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `JspSelectTag ()`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `java.lang.String` | `getFrom()`
    `java.lang.String` | `getName()`
    `java.lang.String` | `getOptionKey()`
    `java.lang.String` | `getOptionValue()`
    `void` | `setFrom(java.lang.String from)`
    `void` | `setName(java.lang.String name)`
    `void` | `setOptionKey(java.lang.String optionKey)`
    `void` | `setOptionValue(java.lang.String optionValue)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class JspInvokeGrailsTagLibTag` | `doAfterBody, doEndTag, doStartTag, doStartTagInternal, getTagName, setDynamicAttribute, setTagName`
    `class javax.servlet.jsp.tagext.BodyTagSupport` | `javax.servlet.jsp.tagext.BodyTagSupport#release(), javax.servlet.jsp.tagext.BodyTagSupport#doStartTag(), javax.servlet.jsp.tagext.BodyTagSupport#setBodyContent(javax.servlet.jsp.tagext.BodyContent), javax.servlet.jsp.tagext.BodyTagSupport#doAfterBody(), javax.servlet.jsp.tagext.BodyTagSupport#doEndTag(), javax.servlet.jsp.tagext.BodyTagSupport#doInitBody(), javax.servlet.jsp.tagext.BodyTagSupport#getBodyContent(), javax.servlet.jsp.tagext.BodyTagSupport#getPreviousOut(), javax.servlet.jsp.tagext.BodyTagSupport#removeValue(java.lang.String), javax.servlet.jsp.tagext.BodyTagSupport#getValue(java.lang.String), javax.servlet.jsp.tagext.BodyTagSupport#getParent(), javax.servlet.jsp.tagext.BodyTagSupport#getId(), javax.servlet.jsp.tagext.BodyTagSupport#setParent(javax.servlet.jsp.tagext.Tag), javax.servlet.jsp.tagext.BodyTagSupport#setValue(java.lang.String, java.lang.Object), javax.servlet.jsp.tagext.BodyTagSupport#getValues(), javax.servlet.jsp.tagext.BodyTagSupport#setId(java.lang.String), javax.servlet.jsp.tagext.BodyTagSupport#findAncestorWithClass(javax.servlet.jsp.tagext.Tag, java.lang.Class), javax.servlet.jsp.tagext.BodyTagSupport#setPageContext(javax.servlet.jsp.PageContext), javax.servlet.jsp.tagext.BodyTagSupport#wait(long, int), javax.servlet.jsp.tagext.BodyTagSupport#wait(long), javax.servlet.jsp.tagext.BodyTagSupport#wait(), javax.servlet.jsp.tagext.BodyTagSupport#equals(java.lang.Object), javax.servlet.jsp.tagext.BodyTagSupport#toString(), javax.servlet.jsp.tagext.BodyTagSupport#hashCode(), javax.servlet.jsp.tagext.BodyTagSupport#getClass(), javax.servlet.jsp.tagext.BodyTagSupport#notify(), javax.servlet.jsp.tagext.BodyTagSupport#notifyAll()`

- - ### Constructor Detail

    - #### public JspSelectTag()

  - ### Method Detail

    - #### public java.lang.String getFrom()

    - #### public java.lang.String getName()

    - #### public java.lang.String getOptionKey()

    - #### public java.lang.String getOptionValue()

    - #### public void setFrom(java.lang.String from)

    - #### public void setName(java.lang.String name)

    - #### public void setOptionKey(java.lang.String optionKey)

    - #### public void setOptionValue(java.lang.String optionValue)